aboutsummaryrefslogtreecommitdiffhomepage
path: root/src/test/shell/integration/experimental_ui_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/test/shell/integration/experimental_ui_test.sh')
-rwxr-xr-xsrc/test/shell/integration/experimental_ui_test.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/src/test/shell/integration/experimental_ui_test.sh b/src/test/shell/integration/experimental_ui_test.sh
index 2959d6e3f2..07bdffc8de 100755
--- a/src/test/shell/integration/experimental_ui_test.sh
+++ b/src/test/shell/integration/experimental_ui_test.sh
@@ -74,4 +74,12 @@ function test_fail() {
expect_log 'pkg:false.*'$'\x1b\[31m\x1b\[1m''.*FAIL'
}
+function test_info_spacing() {
+ # Verify that the output of "bazel info" is suitable for backtick escapes,
+ # in particular free carriage-return characters.
+ BAZEL_INFO_OUTPUT=XXX`bazel info --experimental_ui workspace`XXX
+ echo "$BAZEL_INFO_OUTPUT" | grep -q 'XXX[^'$'\r'']*XXX' \
+ || fail "bazel info output spaced as $BAZEL_INFO_OUTPUT"
+}
+
run_suite "Integration tests for bazel's experimental UI"